// 分组-订阅管理相关接口
import request from '../index'


// 获取列表
export function getSubscribeListPage(data: any) {
  return request({
    url: `/subscribe/store/list-page?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
// 新增
export function addSubscribe(data: any) {
  return request({
    url: `/subscribe/store/add`,
    method: 'post',
    data,
  })
}

// 编辑
export function editSubscribe(data: any) {
  return request({
    url: `/subscribe/store/update`,
    method: 'post',
    data,
  })
}

// 删除
export function deleteSubscribe(ids: string[]) {
  return request({
    url: `/subscribe/store/delete`,
    method: 'post',
    data:{
      ids
    },
  })
}
